## libh3 4.2.1

=== CMakeLists.txt ===
# Copyright 2017-2022 Uber Technologies, Inc.
#
# Licensed under the Apache License, Version 2.0 (the "License"); you may not
# use this file except in compliance with the License. You may obtain a copy of
# the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
# WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
# License for the specific language governing permissions and limitations under
# the License.

cmake_minimum_required(VERSION 3.20) # Due to dependency on CMP0115

# Do not try to append extensions to source files
cmake_policy(SET CMP0115 NEW)

file(READ VERSION H3_VERSION LIMIT_COUNT 1)
# Clean any newlines
string(REPLACE "\n" "" H3_VERSION "${H3_VERSION}")
# Remove any trailing qualifier
string(REGEX REPLACE "-.*$" "" H3_VERSION "${H3_VERSION}")

project(
    h3
    LANGUAGES C
    VERSION ${H3_VERSION})

set(H3_PREFIX
    ""
    CACHE STRING "Prefix for exported symbols")
set(H3_ALLOC_PREFIX
    ""
    CACHE STRING "Prefix for allocation functions")

# Needed due to CMP0042
set(CMAKE_MACOSX_RPATH 1)
# YCM needs compilation database
set(CMAKE_EXPORT_COMPILE_COMMANDS ON)

list(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake")

# Some misc apps do not work with shared libraries on Windows because they
# require access to internal H3 functions. Build these using either static
# libraries or an option to expose all function symbols.
if(NOT (WIN32 AND BUILD_SHARED_LIBS))
    set(ENABLE_REQUIRES_ALL_SYMBOLS ON)
else()
    set(ENABLE_REQUIRES_ALL_SYMBOLS OFF)
endif()

option(ENABLE_COVERAGE "Enable compiling tests with coverage." OFF)
option(BUILD_BENCHMARKS "Build benchmarking applications." ON)
option(ENABLE_COUNTRY_BENCHMARKS
       "Build benchmarking applications with Natural Earth geometries." OFF)
option(BUILD_FUZZERS "Build fuzzer applications (for use with afl)." ON)
option(BUILD_FILTERS "Build filter applications." ON)
option(BUILD_GENERATORS "Build code generation applications." ON)
# If ON, libfuzzer settings are used to build the fuzzer harnesses. If OFF, a
# frontend for afl++ is provided instead.
option(ENABLE_LIBFUZZER "Build fuzzers with libFuzzer support." OFF)

# These options exist for integration with OSS-Fuzz, so that the fuzzer options
# can be passed through only to the fuzzer executables but not the H3 library,
# since passing those options to the library too may result in too many
# implementations of main in the fuzzer executables.
option(H3_FUZZER_NO_MAIN "Build fuzzers with no main." OFF)
mark_as_advanced(H3_FUZZER_NO_MAIN)
set(H3_FUZZER_EXTRA_OPTIONS
    ""
    CACHE STRING "Extra compilation options for fuzzers particularly.")
mark_as_advanced(H3_FUZZER_EXTRA_OPTIONS)

if(WIN32)
    # Use bash (usually from Git for Windows) for piping results
    set(SHELL bash -c)

    set(EXECUTABLE_OUTPUT_PATH bin)
    set(LIBRARY_OUTPUT_PATH bin)
else()
    set(SHELL sh -c)

    set(EXECUTABLE_OUTPUT_PATH bin)
    set(LIBRARY_OUTPUT_PATH lib)
endif()

string(REPLACE "." ";" H3_VERSION_LIST "${H3_VERSION}")
list(GET H3_VERSION_LIST 0 H3_VERSION_MAJOR)
list(GET H3_VERSION_LIST 1 H3_VERSION_MINOR)
list(GET H3_VERSION_LIST 2 H3_VERSION_PATCH)
set(H3_SOVERSION 1)

# Detect if someone else is including the package
if(CMAKE_PROJECT_NAME STREQUAL PROJECT_NAME)
    set(H3_IS_ROOT_PROJECT ON)
endif()

set(H3_COMPILE_FLAGS "")
set(H3_LINK_FLAGS "")
option(ENABLE_WARNINGS "Enables compiler warnings" ON)
if(ENABLE_WARNINGS)
    if(MSVC)
        list(APPEND H3_COMPILE_FLAGS /W2)
    else()
        list(APPEND H3_COMPILE_FLAGS -Wall)
    endif()
endif()

if(NOT MSVC)
    # Compiler options are set only on non-Windows, since these options are not
    # correct for MSVC.
    list(
        APPEND
        H3_COMPILE_FLAGS
        $<$<CONFIG:Debug>:-gdwarf-2
        -g3
        -O0
        -fno-inline
        -fno-eliminate-unused-debug-types>)

    if(ENABLE_COVERAGE)
        list(APPEND H3_COMPILE_FLAGS $<$<CONFIG:Debug>:--coverage>)
        # --coverage is not passed to the linker, so this option is needed to
        # fully enable coverage.
        list(APPEND H3_LINK_FLAGS $<$<CONFIG:Debug>:--coverage>)
    endif()
    if(ENABLE_LIBFUZZER)
        list(APPEND H3_COMPILE_FLAGS -fsanitize=fuzzer,address,undefined)
        list(APPEND H3_LINK_FLAGS -fsanitize=fuzzer,address,undefined)
    endif()
endif()

option(WARNINGS_AS_ERRORS "Warnings are treated as errors" OFF)
if(WARNINGS_AS_ERRORS)
    if(MSVC)
        list(APPEND H3_COMPILE_FLAGS /WX)
    else()
        list(APPEND H3_COMPILE_FLAGS -Werror)
    endif()
endif()

include(CMakeDependentOption)
include(CheckIncludeFile)
if(H3_IS_ROOT_PROJECT)
    include(CTest)
endif()

set(LIB_SOURCE_FILES
    src/h3lib/include/h3Assert.h
    src/h3lib/include/alloc.h
    src/h3lib/include/bbox.h
    src/h3lib/include/polygon.h
    src/h3lib/include/polygonAlgos.h
    src/h3lib/include/polyfill.h
    src/h3lib/include/h3Index.h
    src/h3lib/include/directedEdge.h
    src/h3lib/include/latLng.h
    src/h3lib/include/vec2d.h
    src/h3lib/include/vec3d.h
    src/h3lib/include/linkedGeo.h
    src/h3lib/include/localij.h
    src/h3lib/include/baseCells.h
    src/h3lib/include/faceijk.h
    src/h3lib/include/vertex.h
    src/h3lib/include/vertexGraph.h
    src/h3lib/include/mathExtensions.h
    src/h3lib/include/iterators.h
    src/h3lib/include/constants.h
    src/h3lib/include/coordijk.h
    src/h3lib/include/algos.h
    src/h3lib/lib/h3Assert.c
    src/h3lib/lib/algos.c
    src/h3lib/lib/coordijk.c
    src/h3lib/lib/bbox.c
    src/h3lib/lib/polygon.c
    src/h3lib/lib/polyfill.c
    src/h3lib/lib/h3Index.c
    src/h3lib/lib/vec2d.c
    src/h3lib/lib/vec3d.c
    src/h3lib/lib/vertex.c
    src/h3lib/lib/linkedGeo.c
    src/h3lib/lib/localij.c
    src/h3lib/lib/latLng.c
    src/h3lib/lib/directedEdge.c
    src/h3lib/lib/mathExtensions.c
    src/h3lib/lib/iterators.c
    src/h3lib/lib/vertexGraph.c
    src/h3lib/lib/faceijk.c
    src/h3lib/lib/baseCells.c)
set(APP_SOURCE_FILES
    src/apps/applib/include/kml.h
    src/apps/applib/include/benchmark.h
    src/apps/applib/include/utility.h
    src/apps/applib/include/args.h
    src/apps/applib/include/aflHarness.h
    src/apps/applib/lib/kml.c
    src/apps/applib/lib/utility.c
    src/apps/applib/lib/args.c)
set(TEST_APP_SOURCE_FILES src/apps/applib/include/test.h
                          src/apps/applib/lib/test.c)
set(EXAMPLE_SOURCE_FILES
    examples/index.c examples/distance.c examples/neighbors.c
    examples/compactCells.c examples/edge.c)
set(H3_BIN_SOURCE_FILES src/apps/filters/h3.c)
set(OTHER_SOURCE_FILES
    src/apps/filters/cellToLatLng.c
    src/apps/filters/cellToLocalIj.c
    src/apps/filters/localIjToCell.c
    src/apps/filters/h3ToComponents.c
    src/apps/filters/latLngToCell.c
    src/apps/filters/cellToBoundary.c
    src/apps/filters/gridDisk.c
    src/apps/filters/gridDiskUnsafe.c
    src/apps/testapps/testBaseCells.c
    src/apps/testapps/testBaseCellsInternal.c
    src/apps/testapps/testVertexGraphInternal.c
    src/apps/testapps/testCompactCells.c
    src/apps/testapps/testPolygonToCells.c
    src/apps/testapps/testPolygonToCellsExperimental.c
    src/apps/testapps/testPolygonToCellsReported.c
    src/apps/testapps/testPolygonToCellsReportedExperimental.c
    src/apps/testapps/testPentagonIndexes.c
    src/apps/testapps/testGridDisk.c
    src/apps/testapps/testGridDiskInternal.c
    src/apps/testapps/testCellToBoundary.c
    src/apps/testapps/testCellToBoundaryEdgeCases.c
    src/apps/testapps/testCellToParent.c
    src/apps/testapps/testH3Index.c
    src/apps/testapps/testH3IndexInternal.c
    src/apps/testapps/mkRandGeoBoundary.c
    src/apps/testapps/testLatLngToCell.c
    src/apps/testapps/testH3NeighborRotations.c
    src/apps/testapps/testCellToChildrenSize.c
    src/apps/testapps/testGridDisksUnsafe.c
    src/apps/testapps/testCellToLatLng.c
    src/apps/testapps/testCellToCenterChild.c
    src/apps/testapps/testCellToChildren.c
    src/apps/testapps/testCellToBBoxExhaustive.c
    src/apps/testapps/testCellToChildPos.c
    src/apps/testapps/testGetIcosahedronFaces.c
    src/apps/testapps/testLatLng.c
    src/apps/testapps/testLatLngInternal.c
    src/apps/testapps/testGridRingUnsafe.c
    src/apps/testapps/testH3SetToVertexGraphInternal.c
    src/apps/testapps/testBBoxInternal.c
    src/apps/testapps/testVertex.c
    src/apps/testapps/testVertexInternal.c
    src/apps/testapps/testVertexExhaustive.c
    src/apps/testapps/testPolygonInternal.c
    src/apps/testapps/testPolyfillInternal.c
    src/apps/testapps/testVec2dInternal.c
    src/apps/testapps/testVec3dInternal.c
    src/apps/testapps/testDirectedEdge.c
    src/apps/testapps/testDirectedEdgeExhaustive.c
    src/apps/testapps/testLinkedGeoInternal.c
    src/apps/testapps/mkRandGeo.c
    src/apps/testapps/testH3Api.c
    src/apps/testapps/testCellsToLinkedMultiPolygon.c
    src/apps/testapps/testCellToLocalIj.c
    src/apps/testapps/testCellToLocalIjInternal.c
    src/apps/testapps/testCellToLocalIjExhaustive.c
    src/apps/testapps/testGridDistance.c
    src/apps/testapps/testGridDistanceInternal.c
    src/apps/testapps/testGridDistanceExhaustive.c
    src/apps/testapps/testGridPathCells.c
    src/apps/testapps/testGridPathCellsExhaustive.c
    src/apps/testapps/testH3CellArea.c
    src/apps/testapps/testH3CellAreaExhaustive.c
    src/apps/testapps/testCoordIjInternal.c
    src/apps/testapps/testCoordIjkInternal.c
    src/apps/testapps/testH3Memory.c
    src/apps/testapps/testH3IteratorsInternal.c
    src/apps/testapps/testMathExtensionsInternal.c
    src/apps/testapps/testDescribeH3Error.c
    src/apps/miscapps/cellToBoundaryHier.c
    src/apps/miscapps/cellToLatLngHier.c
    src/apps/miscapps/generateBaseCellNeighbors.c
    src/apps/miscapps/generatePentagonDirectionFaces.c
    src/apps/miscapps/generateFaceCenterPoint.c
    src/apps/miscapps/h3ToHier.c
    src/apps/fuzzers/fuzzerLatLngToCell.c
    src/apps/fuzzers/fuzzerCellToLatLng.c
    src/apps/fuzzers/fuzzerGridDisk.c
    src/apps/fuzzers/fuzzerCellsToLinkedMultiPolygon.c
    src/apps/fuzzers/fuzzerDistances.c
    src/apps/fuzzers/fuzzerCellArea.c
    src/apps/fuzzers/fuzzerEdgeLength.c
    src/apps/fuzzers/fuzzerCellProperties.c
    src/apps/fuzzers/fuzzerIndexIO.c
    src/apps/fuzzers/fuzzerResolutions.c
    src/apps/fuzzers/fuzzerHierarchy.c
    src/apps/fuzzers/fuzzerVertexes.c
    src/apps/fuzzers/fuzzerCompact.c
    src/apps/fuzzers/fuzzerDirectedEdge.c
    src/apps/fuzzers/fuzzerLocalIj.c
    src/apps/fuzzers/fuzzerPolygonToCells.c
    src/apps/fuzzers/fuzzerPolygonToCellsExperimental.c
    src/apps/fuzzers/fuzzerPolygonToCellsNoHoles.c
    src/apps/fuzzers/fuzzerPolygonToCellsExperimentalNoHoles.c
    src/apps/fuzzers/fuzzerCellToChildPos.c
    src/apps/fuzzers/fuzzerInternalAlgos.c
    src/apps/fuzzers/fuzzerInternalCoordIjk.c
    src/apps/benchmarks/benchmarkPolygonToCells.c
    src/apps/benchmarks/benchmarkPolygonToCellsExperimental.c
    src/apps/benchmarks/benchmarkPolygon.c
    src/apps/benchmarks/benchmarkCellsToLinkedMultiPolygon.c
    src/apps/benchmarks/benchmarkCellToChildren.c
    src/apps/benchmarks/benchmarkGridDiskCells.c
    src/apps/benchmarks/benchmarkGridPathCells.c
    src/apps/benchmarks/benchmarkDirectedEdge.c
    src/apps/benchmarks/benchmarkVertex.c
    src/apps/benchmarks/benchmarkIsValidCell.c
    src/apps/benchmarks/benchmarkH3Api.c)

set(ALL_SOURCE_FILES
    ${LIB_SOURCE_FILES} ${APP_SOURCE_FILES} ${TEST_APP_SOURCE_FILES}
    ${H3_BIN_SOURCE_FILES} ${OTHER_SOURCE_FILES})

# This is done for quality control purposes (to detect if any source files are
# missing from our list), but is not done as the authoritative list as per CMake
# developer recommendations. See
# https://cmake.org/cmake/help/latest/command/file.html#glob-recurse
option(AUDIT_SOURCE_FILE_LIST

## libh3 4.1.0

=== debian/changelog ===
libh3 (4.1.0-2build1) noble; urgency=high

  * No change rebuild against frame pointers and time_t.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 22 Apr 2024 11:45:10 +0200

libh3 (4.1.0-2) unstable; urgency=medium

  * Use -ffloat-store on *i386 and m68k. Thanks Adrian Bunk!

 -- Christoph Berg <myon@debian.org>  Thu, 09 Nov 2023 19:01:46 +0000

libh3 (4.1.0-1) unstable; urgency=medium

  * Initial release.
  * Package required by h3-pg.

 -- Christoph Berg <myon@debian.org>  Sun, 05 Nov 2023 10:26:10 +0000

=== debian/control ===
Source: libh3
Section: database
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
Uploaders:
 Christoph Berg <myon@debian.org>,
Build-Depends:
 cmake (>= 3.20),
 debhelper-compat (= 13),
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://h3geo.org/
Vcs-Browser: https://salsa.debian.org/postgresql/libh3
Vcs-Git: https://salsa.debian.org/postgresql/libh3.git

Package: libh3-dev
Architecture: any
Depends:
 libh3-1 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: Hexagonal hierarchical geospatial indexing system - header files
 H3 is a geospatial indexing system using a hexagonal grid that can be
 (approximately) subdivided into finer and finer hexagonal grids, combining the
 benefits of a hexagonal grid with S2's hierarchical subdivisions.
 .
 This package contains the development headers.

Package: libh3-1
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Hexagonal hierarchical geospatial indexing system - library
 H3 is a geospatial indexing system using a hexagonal grid that can be
 (approximately) subdivided into finer and finer hexagonal grids, combining the
 benefits of a hexagonal grid with S2's hierarchical subdivisions.
 .
 This package contains the shared library.

Package: libh3-bin
Architecture: any
Multi-Arch: foreign
Depends:
 libh3-1 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: Hexagonal hierarchical geospatial indexing system - CLI programs
 H3 is a geospatial indexing system using a hexagonal grid that can be
 (approximately) subdivided into finer and finer hexagonal grids, combining the
 benefits of a hexagonal grid with S2's hierarchical subdivisions.
 .
 This package contains CLI front-end programs.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk

ifneq ($(filter %i386 m68k,$(DEB_HOST_ARCH)),)
# avoid excess precision on i386 and m68k
export DEB_CFLAGS_MAINT_APPEND += -ffloat-store
endif

%:
	dh $@ --buildsystem cmake

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_SHARED_LIBS=1

## libh3 4.2.0

=== debian/changelog ===
libh3 (4.2.0-1) unstable; urgency=medium

  * New upstream version 4.2.0.
  * Add debian/libh3-1.symbols.
  * Disable fuzzer_crash test, doesn't work on s390x.

 -- Christoph Berg <myon@debian.org>  Mon, 09 Dec 2024 13:40:53 +0100

libh3 (4.1.0-3) unstable; urgency=medium

  * Patch CMakeLists.txt to use CMAKE_INSTALL_LIBDIR (Closes: #1064956)

 -- Bradford D. Boyle <bradford.d.boyle@gmail.com>  Wed, 01 May 2024 09:45:57 +0200

## libh3 4.2.1

=== debian/changelog ===
libh3 (4.2.1-1) unstable; urgency=medium

  * New upstream version 4.2.1.

 -- Christoph Berg <myon@debian.org>  Mon, 10 Mar 2025 21:25:00 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: libh3
 Section: database
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
+Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
 Uploaders:
  Christoph Berg <myon@debian.org>,
 Build-Depends:

## libh3 4.3.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -242,6 +242,8 @@
     src/apps/testapps/testGetIcosahedronFaces.c
     src/apps/testapps/testLatLng.c
     src/apps/testapps/testLatLngInternal.c
+    src/apps/testapps/testGridRing.c
+    src/apps/testapps/testGridRingInternal.c
     src/apps/testapps/testGridRingUnsafe.c
     src/apps/testapps/testH3SetToVertexGraphInternal.c
     src/apps/testapps/testBBoxInternal.c
@@ -322,4 +324,3 @@
 # missing from our list), but is not done as the authoritative list as per CMake
 # developer recommendations. See
 # https://cmake.org/cmake/help/latest/command/file.html#glob-recurse
-option(AUDIT_SOURCE_FILE_LIST

=== debian/changelog ===
libh3 (4.3.0-2) unstable; urgency=medium

  * Mark libh3-dev M-A: same.

 -- Christoph Berg <myon@debian.org>  Wed, 15 Oct 2025 10:15:56 +0200

libh3 (4.3.0-1) experimental; urgency=medium

  * New upstream version 4.3.0.

 -- Christoph Berg <myon@debian.org>  Wed, 18 Jun 2025 11:04:33 +0200

=== debian/rules ===
--- 
+++ 
@@ -7,6 +7,9 @@
 export DEB_CFLAGS_MAINT_APPEND += -ffloat-store
 endif
 
+# fix printf decimal separator in test suite
+export LC_NUMERIC=C
+
 %:
 	dh $@ --buildsystem cmake

## libh3 4.4.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -259,6 +259,8 @@
     src/apps/testapps/testLinkedGeoInternal.c
     src/apps/testapps/mkRandGeo.c
     src/apps/testapps/testH3Api.c
+    src/apps/testapps/testIndexDigits.c
+    src/apps/testapps/testConstructCell.c
     src/apps/testapps/testCellsToLinkedMultiPolygon.c
     src/apps/testapps/testCellToLocalIj.c
     src/apps/testapps/testCellToLocalIjInternal.c
@@ -291,6 +293,7 @@
     src/apps/fuzzers/fuzzerEdgeLength.c
     src/apps/fuzzers/fuzzerCellProperties.c
     src/apps/fuzzers/fuzzerIndexIO.c
+    src/apps/fuzzers/fuzzerConstructCell.c
     src/apps/fuzzers/fuzzerResolutions.c
     src/apps/fuzzers/fuzzerHierarchy.c
     src/apps/fuzzers/fuzzerVertexes.c
@@ -321,6 +324,3 @@
     ${H3_BIN_SOURCE_FILES} ${OTHER_SOURCE_FILES})
 
 # This is done for quality control purposes (to detect if any source files are
-# missing from our list), but is not done as the authoritative list as per CMake
-# developer recommendations. See
-# https://cmake.org/cmake/help/latest/command/file.html#glob-recurse

=== examples/CMakeLists.txt ===
# Copyright 2018 Uber Technologies, Inc.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

cmake_minimum_required(VERSION 3.5..4.0)

set(CMAKE_C_STANDARD_REQUIRED ON)
set(CMAKE_C_STANDARD 11)

project(h3examples)

find_package(h3 CONFIG REQUIRED)

set(EXAMPLES
    index
    distance
    neighbors
    compactCells
    edge)

set(EXECUTABLE_OUTPUT_PATH bin)

# Build each example
foreach(name ${EXAMPLES})
    add_executable(${name} "${name}.c")
    target_link_libraries(${name} PRIVATE h3::h3)
endforeach()

# Testing the examples
include(CTest)
if(BUILD_TESTING)
    include(../cmake/TestWrapValgrind.cmake)

    enable_testing()

    foreach(name ${EXAMPLES})
        add_test(NAME ${name} COMMAND ${TEST_WRAPPER} "$<TARGET_FILE:${name}>")
    endforeach()
endif()

=== debian/changelog ===
libh3 (4.4.0-1) unstable; urgency=medium

  * New upstream version 4.4.0.

 -- Christoph Berg <myon@debian.org>  Fri, 07 Nov 2025 13:40:40 +0100

=== debian/watch ===
version=4
https://github.com/uber/h3/tags .*/v(.*).tar.gz

## libh3 4.4.1

=== debian/changelog ===
libh3 (4.4.1-1) unstable; urgency=medium

  * New upstream version 4.4.1.

 -- Christoph Berg <myon@debian.org>  Thu, 13 Nov 2025 10:06:59 +0100

=== debian/control ===
--- 
+++ 
@@ -15,6 +15,7 @@
 
 Package: libh3-dev
 Architecture: any
+Multi-Arch: same
 Depends:
  libh3-1 (= ${binary:Version}),
  ${misc:Depends},
